<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository;

use Admin\Entity\Region;
use Admin\Entity\RegionContent;
use Doctrine\ORM\EntityRepository;

class RegionContentRepository extends EntityRepository
{
    /**
     * 获取地区数组
     * @param $regionId
     * @return array
     * @throws \Doctrine\ORM\NonUniqueResultException
     */
    public function findRegionContentArray($regionId): array
    {
       $query       = $this->getEntityManager()->createQueryBuilder()->select('r')->from(Region::class, 'r')->where('r.regionId = :regionId')->setParameter('regionId', $regionId);
       $regionInfo  = $query->getQuery()->getOneOrNullResult();
       if ($regionInfo == null) return [];

        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('c')
            ->from(RegionContent::class, 'c')
            ->where($query->expr()->in('c.regionId', explode(',', $regionInfo->getRegionPath())))
            ->orderBy('c.regionId', 'ASC');

        $result = $query->getQuery()->getResult();
        $array  = [];
        if ($result) foreach ($result as $value) {
            if (!in_array($value->getLanguageCode(), SHOP_LANGUAGE)) continue;
            $array['regionInfo'.$value->getLanguageCode()] = isset($array['regionInfo'.$value->getLanguageCode()]) ? $array['regionInfo'.$value->getLanguageCode()] . ' ' . $value->getRegionName() : $value->getRegionName();
        }

        return $array;
    }
}