<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Extend\Event\Factory;

use Admin\Data\Config;
use Admin\Service\SystemManager;
use Extend\Event\ExtendListener;
use Extend\Service\SystemNoticeManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class ExtendListenerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $systemNoticeManager= $container->get(SystemNoticeManager::class);
        $systemManager      = $container->get(SystemManager::class);
        $translator         = $container->get(Translator::class);

        return new ExtendListener($entityManager, $systemNoticeManager, $systemManager, $translator);
    }
}