<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace User\Repository;

use Doctrine\ORM\EntityRepository;
use User\Entity\UserGroup;
use User\Entity\UserGroupContent;

class UserGroupRepository extends EntityRepository
{
    public function findAllUserGroup($sortName = '', $sortType = '')
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('g')
            ->addSelect("(SELECT gr.userGroupName FROM ".UserGroupContent::class." AS gr WHERE gr.userGroupId=g.userGroupId AND gr.languageCode='".SHOP_FONT_LANGUAGE."') AS userGroupName")
            ->from(UserGroup::class, 'g');

        if (!empty($sortName)) $query->orderBy('g.'.$sortName, $sortType);
        else $query->orderBy('g.userGroupId', 'ASC');

        return $query->getQuery()->getResult();
    }
}